Skip to main content
GET
/
storage
/
kvs
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const KvNamespaceResponseWrapper = await client.storage.kvs.retrieve('id');

console.log(KvNamespaceResponseWrapper.data);
{
  "data": {
    "record_type": "storage_kv",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "my-cache",
    "status": "provision_ok",
    "created_at": "2026-06-18T14:48:17Z",
    "updated_at": "2026-06-18T14:48:17Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

KV namespace ID

Response

KV namespace retrieved successfully

data
object